Package Details: python-robobrowser 0.5.3-4

Git Clone URL: https://aur.archlinux.org/python-robobrowser.git (read-only, click to copy)
Package Base: python-robobrowser
Description: RoboBrowser is a simple, Pythonic library for browsing the web without a standalone web browser.
Upstream URL: https://github.com/jmcarp/robobrowser
Licenses: MIT
Submitter: glennie
Maintainer: BachoSeven
Last Packager: BachoSeven
Votes: 31
Popularity: 0.016934
First Submitted: 2014-07-12 11:46
Last Updated: 2021-04-05 21:06

Latest Comments

« First ‹ Previous 1 2

glennie commented on 2015-02-05 21:20

Hi,
Thanks I've updated PKGBUILD with the dependencies.
Unit tests are still disabled as 4 checks didn't pass.
Cheers,

hax commented on 2015-02-04 11:09

hi!

as already written by Stunts,
python-pip is a missing dependency, also python-werkzeug needs to be added.
when those packages are installed installation is working.

brgds
max

Stunts commented on 2015-01-13 22:34

I have opened this pull request upstream to make robobrowser work well with arch:
https://github.com/jmcarp/robobrowser/pull/34

In case it gets rejected, will you please make the change in your package?
Thanks.

Also, "python-pip" should be added to makedepends.

glennie commented on 2015-01-13 21:08

Hi,
I've uploaded the latest version.
Unit tests are disabled during the build process as 4 tests didn't pass.
The library works for my usage. Will have a deeper look later.
Regards,

EbKeth commented on 2015-01-13 02:34

This is an older version, would we be able to get an updated PKGBUILD?

agent0 commented on 2015-01-07 15:51

I have exactly the same, but with
AttributeError: 'module' object has no attribute 'test_forms'
at the tail of output.

dfryer1193 commented on 2015-01-06 04:11

Another error while building...

Traceback (most recent call last):
File "setup.py", line 52, in <module>
test_suite='tests',
File "/usr/lib/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
File "/usr/lib/python3.4/site-packages/setuptools/command/test.py", line 142, in run
self.with_project_on_sys_path(self.run_tests)
File "/usr/lib/python3.4/site-packages/setuptools/command/test.py", line 122, in with_project_on_sys_path
func()
File "/usr/lib/python3.4/site-packages/setuptools/command/test.py", line 163, in run_tests
testRunner=self._resolve_as_ep(self.test_runner),
File "/usr/lib/python3.4/unittest/main.py", line 92, in __init__
self.parseArgs(argv)
File "/usr/lib/python3.4/unittest/main.py", line 139, in parseArgs
self.createTests()
File "/usr/lib/python3.4/unittest/main.py", line 146, in createTests
self.module)
File "/usr/lib/python3.4/unittest/loader.py", line 146, in loadTestsFromNames
suites = [self.loadTestsFromName(name, module) for name in names]
File "/usr/lib/python3.4/unittest/loader.py", line 146, in <listcomp>
suites = [self.loadTestsFromName(name, module) for name in names]
File "/usr/lib/python3.4/unittest/loader.py", line 117, in loadTestsFromName
return self.loadTestsFromModule(obj)
File "/usr/lib/python3.4/site-packages/setuptools/command/test.py", line 37, in loadTestsFromModule
tests.append(self.loadTestsFromName(submodule))
File "/usr/lib/python3.4/unittest/loader.py", line 114, in loadTestsFromName
parent, obj = obj, getattr(obj, part)
AttributeError: 'module' object has no attribute 'test_browser'
==> ERROR: A failure occurred in check().
Aborting...

glennie commented on 2015-01-04 22:38

Hi,
PIP parse_requirements signature has changed. I've included a fix for it.
You should be able to install the package properly.
Regards,

agent0 commented on 2015-01-04 20:56

Error while building, please help.

$ makepkg -s
==> Making package: python-robobrowser 0.3.1-1 (Sun Jan 4 23:54:59 MSK 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found robobrowser-0.3.1.tar.gz
==> Validating source files with md5sums...
robobrowser-0.3.1.tar.gz ... Passed
==> Extracting sources...
-> Extracting robobrowser-0.3.1.tar.gz with bsdtar
==> Starting prepare()...
Traceback (most recent call last):
File "setup.py", line 19, in <module>
for requirement in parse_requirements('requirements.txt')
File "setup.py", line 18, in <listcomp>
str(requirement.req)
File "/usr/lib/python3.4/site-packages/pip/req/req_file.py", line 19, in parse_requirements
"parse_requirements() missing 1 required keyword argument: "
TypeError: parse_requirements() missing 1 required keyword argument: 'session'
==> ERROR: A failure occurred in prepare().
Aborting...